//
//  ViewController.swift
//  CollectionViewDemo
//
//  Created by Developer on 09-03-17.
//  Copyright © 2017 iOS Academie. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UICollectionViewDataSource {
  
  let aantalItems = 100
  
  @IBOutlet weak var collectionView: UICollectionView! {
    didSet {
      collectionView.dataSource = self
    }
  }
  
  override func viewDidLoad() {
    super.viewDidLoad()
  }
  
  // MARK: - UICollectionViewDataSource
  func collectionView(_ collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int {
    return aantalItems
  }
  
  func collectionView(_ collectionView: UICollectionView, cellForItemAt indexPath: IndexPath) -> UICollectionViewCell {
    let cell = collectionView.dequeueReusableCell(withReuseIdentifier: "cell", for: indexPath)
    
    if let c = cell as? CollectionViewCell {
      c.label.text = "\(indexPath.item + 1)"
    }
    
    return cell
  }
  
}

