//
//  ViewController.swift
//  ConstraintsInCode
//
//  Created by Developer on 09-03-17.
//  Copyright © 2017 iOS Academie. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
  
  var label1: UILabel!
  var label2: UILabel!

  override func viewDidLoad() {
    super.viewDidLoad()
    maakLabels()
    layoutLabels()

  }

  func maakLabels() {
    label1 = UILabel()
    label1.text = "Label 1"
    label1.textColor = .black
    view.addSubview(label1)
    
    label2 = UILabel()
    label2.text = "Label 2"
    label2.textColor = .brown
    view.addSubview(label2)
  }
  
  func layoutLabels() {
    let label1CentreerX = NSLayoutConstraint(item: label1, attribute: .centerX, relatedBy: .equal, toItem: self.view, attribute: .centerX, multiplier: 1, constant: 0)
    let label1CentreerY = NSLayoutConstraint(item: label1, attribute: .centerY, relatedBy: .equal, toItem: self.view, attribute: .centerY, multiplier: 1, constant: 0)
    self.view.addConstraint(label1CentreerX)
    self.view.addConstraint(label1CentreerY)
    label1.translatesAutoresizingMaskIntoConstraints = false
    
    let label2CentreerX = NSLayoutConstraint(item: label2, attribute: .centerX, relatedBy: .equal, toItem: label1, attribute: .centerX, multiplier: 1, constant: 0)
    let label2YPositie = NSLayoutConstraint(item: label2, attribute: .top, relatedBy: .equal, toItem: label1, attribute: .bottom, multiplier: 1, constant: 8)
    self.view.addConstraints([label2CentreerX, label2YPositie])
    label2.translatesAutoresizingMaskIntoConstraints = false
  }
  
}

